<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: Authentication</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Authentication<br/>
<small>
[<a class="el" href="group__internal.html">Implementation</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gaa777df1226ebeb2b85179af753c51109">CASClient::setUser</a> ($user)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gab3ffd6b93090db528cf062a65ac37cfc">CASClient::getUser</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#ga7bcaa9e312a031c1e331094872f8b18f">CASClient::renewAuthentication</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gab947846496cb49145ba7e7ee477f04db">CASClient::forceAuthentication</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gab1742f63ea7d299a0c9b50797bea9ecc">CASClient::setCacheTimesForAuthRecheck</a> ($n)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#ga093a3e248675ab5db97efe2668707947">CASClient::checkAuthentication</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#ga8d474263083c513b38e959293e9b731e">CASClient::isAuthenticated</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#ga473da5bed5067e4ada55ed067ab06eab">CASClient::isSessionAuthenticated</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gafbdcb947be02bbd290980282c40d276d">CASClient::wasPreviouslyAuthenticated</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gae9bfb10cfc63b4eebb4d82b223dcfaa2">CASClient::redirectToCas</a> ($gateway=false, $renew=false)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#ga18cdc996e900f333351fc80b6649c7b6">CASClient::logout</a> ($params)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gad5292d4eff24240df9589dbc226197c7">CASClient::isLogoutRequest</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gab5c954e457c6f43c9902d9380ef8ac81">CASClient::isLogoutRequestAllowed</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#ga9c73e13f230192d96f77d60f9bda28bb">CASClient::handleLogoutRequests</a> ($check_client=true, $allowed_clients=false)</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#ga88717b5779f2555ba9375e35e37635d2">CASClient::$_user</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gadf79f4ad7e8c7d0e641eba3b92a697ec">CASClient::$_cache_times_for_auth_recheck</a></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga093a3e248675ab5db97efe2668707947"></a><!-- doxytag: member="CASClient::checkAuthentication" ref="ga093a3e248675ab5db97efe2668707947" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::checkAuthentication </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is called to check whether the user is authenticated or not. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>TRUE when the user is authenticated, FALSE otherwise. </dd></dl>

</div>
</div>
<a class="anchor" id="gab947846496cb49145ba7e7ee477f04db"></a><!-- doxytag: member="CASClient::forceAuthentication" ref="gab947846496cb49145ba7e7ee477f04db" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::forceAuthentication </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is called to be sure that the user is authenticated. When not authenticated, halt by redirecting to the CAS server; otherwise return TRUE. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>TRUE when the user is authenticated; otherwise halt. </dd></dl>

</div>
</div>
<a class="anchor" id="gab3ffd6b93090db528cf062a65ac37cfc"></a><!-- doxytag: member="CASClient::getUser" ref="gab3ffd6b93090db528cf062a65ac37cfc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getUser </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the CAS user's login name. </p>
<dl class="warning"><dt><b>Warning:</b></dt><dd>should be called only after <a class="el" href="group__internal_authentication.html#gab947846496cb49145ba7e7ee477f04db">CASClient::forceAuthentication()</a> or <a class="el" href="group__internal_authentication.html#ga8d474263083c513b38e959293e9b731e">CASClient::isAuthenticated()</a>, otherwise halt with an error.</dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>the login name of the authenticated user </dd></dl>

</div>
</div>
<a class="anchor" id="ga9c73e13f230192d96f77d60f9bda28bb"></a><!-- doxytag: member="CASClient::handleLogoutRequests" ref="ga9c73e13f230192d96f77d60f9bda28bb" args="($check_client=true, $allowed_clients=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::handleLogoutRequests </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>check_client</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>allowed_clients</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method handles logout requests. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$check_client</em>&nbsp;</td><td>true to check the client bofore handling the request, false not to perform any access control. True by default. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$allowed_clients</em>&nbsp;</td><td>an array of host names allowed to send logout requests. By default, only the CAs server (declared in the constructor) will be allowed. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga8d474263083c513b38e959293e9b731e"></a><!-- doxytag: member="CASClient::isAuthenticated" ref="ga8d474263083c513b38e959293e9b731e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::isAuthenticated </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is called to check if the user is authenticated (previously or by tickets given in the URL).</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>TRUE when the user is authenticated. </dd></dl>

</div>
</div>
<a class="anchor" id="gad5292d4eff24240df9589dbc226197c7"></a><!-- doxytag: member="CASClient::isLogoutRequest" ref="gad5292d4eff24240df9589dbc226197c7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::isLogoutRequest </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>true if the current request is a logout request. </dd></dl>

</div>
</div>
<a class="anchor" id="gab5c954e457c6f43c9902d9380ef8ac81"></a><!-- doxytag: member="CASClient::isLogoutRequestAllowed" ref="gab5c954e457c6f43c9902d9380ef8ac81" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::isLogoutRequestAllowed </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>true if a logout request is allowed. </dd></dl>

</div>
</div>
<a class="anchor" id="ga473da5bed5067e4ada55ed067ab06eab"></a><!-- doxytag: member="CASClient::isSessionAuthenticated" ref="ga473da5bed5067e4ada55ed067ab06eab" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::isSessionAuthenticated </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method tells if the current <a class="el" href="classsession.html">session</a> is authenticated. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if authenticated based soley on $_SESSION variable </dd></dl>
<dl class="since"><dt><b>Since:</b></dt><dd>0.4.22 by Brendan Arnold </dd></dl>

</div>
</div>
<a class="anchor" id="ga18cdc996e900f333351fc80b6649c7b6"></a><!-- doxytag: member="CASClient::logout" ref="ga18cdc996e900f333351fc80b6649c7b6" args="($params)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::logout </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>params</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to logout from CAS. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$url</em>&nbsp;</td><td>a URL that will be transmitted to the CAS server (to come back to when logged out) This method is used to logout from CAS.  $params an array that contains the optional url and service parameters that will be passed to the CAS server </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gae9bfb10cfc63b4eebb4d82b223dcfaa2"></a><!-- doxytag: member="CASClient::redirectToCas" ref="gae9bfb10cfc63b4eebb4d82b223dcfaa2" args="($gateway=false, $renew=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::redirectToCas </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>gateway</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>renew</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to redirect the client to the CAS server. It is used by <a class="el" href="group__internal_authentication.html#gab947846496cb49145ba7e7ee477f04db">CASClient::forceAuthentication()</a> and <a class="el" href="group__internal_authentication.html#ga093a3e248675ab5db97efe2668707947">CASClient::checkAuthentication()</a>. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$gateway</em>&nbsp;</td><td>true to check <a class="el" href="classauthentication.html">authentication</a>, false to force it </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$renew</em>&nbsp;</td><td>true to force the <a class="el" href="classauthentication.html">authentication</a> with the CAS server </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga7bcaa9e312a031c1e331094872f8b18f"></a><!-- doxytag: member="CASClient::renewAuthentication" ref="ga7bcaa9e312a031c1e331094872f8b18f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::renewAuthentication </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is called to renew the <a class="el" href="classauthentication.html">authentication</a> of the user If the user is authenticated, renew the connection If not, redirect to CAS </p>

</div>
</div>
<a class="anchor" id="gab1742f63ea7d299a0c9b50797bea9ecc"></a><!-- doxytag: member="CASClient::setCacheTimesForAuthRecheck" ref="gab1742f63ea7d299a0c9b50797bea9ecc" args="($n)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setCacheTimesForAuthRecheck </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>n</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the number of times <a class="el" href="classauthentication.html">authentication</a> will be cached before rechecked.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$n</em>&nbsp;</td><td>an integer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa777df1226ebeb2b85179af753c51109"></a><!-- doxytag: member="CASClient::setUser" ref="gaa777df1226ebeb2b85179af753c51109" args="($user)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setUser </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>user</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method sets the CAS user's login name.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$user</em>&nbsp;</td><td>the login name of the authenticated user. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gafbdcb947be02bbd290980282c40d276d"></a><!-- doxytag: member="CASClient::wasPreviouslyAuthenticated" ref="gafbdcb947be02bbd290980282c40d276d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::wasPreviouslyAuthenticated </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method tells if the user has already been (previously) authenticated by looking into the <a class="el" href="classsession.html">session</a> variables.</p>
<dl class="note"><dt><b>Note:</b></dt><dd>This function switches to callback mode when needed.</dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>TRUE when the user has already been authenticated; FALSE otherwise. </dd></dl>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="gadf79f4ad7e8c7d0e641eba3b92a697ec"></a><!-- doxytag: member="CASClient::$_cache_times_for_auth_recheck" ref="gadf79f4ad7e8c7d0e641eba3b92a697ec" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_cache_times_for_auth_recheck<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>An integer that gives the number of times <a class="el" href="classauthentication.html">authentication</a> will be cached before rechecked. </p>

</div>
</div>
<a class="anchor" id="ga88717b5779f2555ba9375e35e37635d2"></a><!-- doxytag: member="CASClient::$_user" ref="ga88717b5779f2555ba9375e35e37635d2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_user<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>The Authenticated user. Written by <a class="el" href="group__internal_authentication.html#gaa777df1226ebeb2b85179af753c51109">CASClient::setUser()</a>, read by <a class="el" href="group__internal_authentication.html#gab3ffd6b93090db528cf062a65ac37cfc">CASClient::getUser()</a>. </p>
<dl class="attention"><dt><b>Attention:</b></dt><dd>client applications should use <a class="el" href="group__public_auth.html#gad145e405b1f4b4e93239a255736df893">phpCAS::getUser()</a>. </dd></dl>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
